<?php

namespace HCM\Geral\Services;

use Doctrine\ORM\EntityManager;
use HCM\Util\HCMParameters;
use HCM\Util\Messages;
use HCM\Util\Repositories;
use Zeedhi\Framework\DTO\Response\Notification;
use Zeedhi\Framework\DTO\Response\Error;

class ServicoPATService {
    
    protected $entityManager;
    protected $hcmParameters;
    
    public function __construct(EntityManager $entityManager, HCMParameters $hcmParameters) {
        $this->entityManager = $entityManager;
        $this->hcmParameters = $hcmParameters;
    }
    
    public function deleteServicoPAT($dataset) {
        $nrtiposervpat = $dataset["NRTIPOSERVPAT"];
        $vinculopat = $this->entityManager->getRepository(Repositories::GPE_PATVINCULO)->findBy(array("nrtiposervpat" => $nrtiposervpat, "nrorg" => $dataset['NRORG']));
        if (isset($vinculopat[0])) {
            throw new \Exception(Messages::HCM00000_GER_SERVPAT_ALREADY_EXIST_VINCULO_ERROR, 10);
        }
        else {
            $this->entityManager->beginTransaction();
            $servpat = $this->entityManager->getRepository(Repositories::GPE_TIPOSERVPAT)->findOneBy(array("nrtiposervpat" => $nrtiposervpat, "nrorg" => $dataset['NRORG']));
            $this->entityManager->remove($servpat);
            $this->entityManager->flush();
            $this->entityManager->commit();
        }
    }
}