<?php
namespace HCM\SST\Repository;

use Doctrine\DBAL\Connection;
use Doctrine\ORM\EntityManager;

class ExameRepository {

    protected  $connection;
    public function __construct(Connection $connection, EntityManager $entityManager) {
        $this->connection    = $connection;
        $this->entityManager = $entityManager;
    }

    public function getItensFromExame($nrexame) {
        $query = <<<SQL
SELECT *
  FROM SST_ITEMEXAME
 WHERE NREXAME = :NREXAME
SQL;
        $params = array(
            "NREXAME" => $nrexame
        );
        return $this->connection->fetchAll($query,$params);
    }

    public function getReferenciasFromItemExame($nritemexame) {
        $query = <<<SQL
SELECT *
  FROM SST_REFERENCIAITEMEXAME
 WHERE NRITEMEXAME = :NRITEMEXAME
SQL;
        $params = array(
            "NRITEMEXAME" => $nritemexame
        );
        return $this->connection->fetchAll($query,$params);
    }

    public function getFaixasFromReferenciaItemExame($nrreferenciaitemexame) {
        $query = <<<SQL
SELECT *
  FROM SST_FAIXAREFITEMEXAME
 WHERE NRREFERENCIAITEMEXAME = :NRREFERENCIAITEMEXAME
SQL;
        $params = array(
            "NRREFERENCIAITEMEXAME" => $nrreferenciaitemexame
        );
        return $this->connection->fetchAll($query,$params);
    }

    public function getClassificacoesFromReferenciaItemExame($nrreferenciaitemexame) {
        $query = <<<SQL
SELECT *
  FROM SST_CLASSIFREFITEMEXAME
 WHERE NRREFERENCIAITEMEXAME = :NRREFERENCIAITEMEXAME
SQL;
        $params = array(
            "NRREFERENCIAITEMEXAME" => $nrreferenciaitemexame
        );
        return $this->connection->fetchAll($query,$params);
    }
} 

