/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_PRODUTOAP                                                */
/* Tabela : PRODUTOAP                                                         */
/*                                                                            */
/* Criao:                                                                   */
/* 05/05/2004 - David Moreno Ferreira                                         */
/*                                                                            */
/******************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_PRODUTOAP' and
            type = 'TR'               and
            u.uid = o.uid             and
            u.name = USER)
   DROP TRIGGER DTULTATU_PRODUTOAP
GO

CREATE TRIGGER DTULTATU_PRODUTOAP
ON PRODUTOAP
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'PRODUTOAP', null, 'CDFILIAL='+ CDFILIAL+ ';'+
                                        'CDPRODUTO='+ CDPRODUTO+ ';'+
                                        'DTCUSTOAP='+ CONVERT(CHAR,DTCUSTOAP,120)+ ';', GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE PRODUTOAP
      SET DTULTATUPRAP = GETDATE()
      FROM INSERTED;
   END;
END;
GO

