/* Objetivo: Gerar um log que vai registrar as alteraes na tabela Parmetro do Estoque(Geral),'5.05.006';
         utilizando a tabela Geral de Logs de Operaes */


IF EXISTS (SELECT * FROM SYSOBJECTS O, SYSUSERS U
           WHERE O.NAME = 'LOG_EST_PARAMESTOQUE' AND
                 TYPE = 'TR' 		                AND
	              U.UID = O.UID                   AND
	              U.NAME = USER)
DROP TRIGGER LOG_EST_PARAMESTOQUE
GO


CREATE  TRIGGER LOG_EST_PARAMESTOQUE
ON PARAMESTOQUE
FOR INSERT,UPDATE,DELETE
AS
   DECLARE  @V_USUARIO   VARCHAR(40);
   DECLARE  @V_TIPO      VARCHAR(1);
   DECLARE  @V_ITPESQ    VARCHAR(40);
   DECLARE  @V_DESC      VARCHAR(300);
   DECLARE  @V_DTOPER    DATETIME;

/*VARIVEIS DO CURSOR C_CURSOR*/

   DECLARE @V_ID_COMANDO        VARCHAR(1) ;
   DECLARE @V_IDTRATAVENC_OLD   VARCHAR(1);
   DECLARE @V_VRPETOLEENTR_OLD  DOUBLE PRECISION;
   DECLARE @V_IDLANCDTMEN_OLD   VARCHAR(1);
   DECLARE @V_NRDIASENTR_OLD    INT;
   DECLARE @V_NRDIASSAID_OLD    INT;
   DECLARE @V_NRDIASAJUS_OLD    INT;
   DECLARE @V_IDLANCDTMAI_OLD   VARCHAR(1);
   DECLARE @V_NRDIASENTRPD_OLD  INT;
   DECLARE @V_NRDIASSAIDPD_OLD  INT;
   DECLARE @V_NRDIASAJUSPD_OLD  INT;
   DECLARE @V_CDPARESTOQ_OLD    VARCHAR(1);
   DECLARE @V_CDGROPERRETI_OLD  VARCHAR(2);
   DECLARE @V_CDGROPERFMES_OLD  VARCHAR(2);
   DECLARE @V_CDGROPERSOLI_OLD  VARCHAR(2);
   DECLARE @V_CDGROPERREQ_OLD   VARCHAR(2);
   DECLARE @V_CDGROPERLOT_OLD   VARCHAR(2);
   DECLARE @V_IDBLOQFORIRR_OLD  VARCHAR(1);
   DECLARE @V_IDCONSFORNFJ_OLD  VARCHAR(1);
   DECLARE @V_IDALTDTFECDIA_OLD VARCHAR(1);
   DECLARE @V_IDGTGTXTFDIA_OLD  VARCHAR(1);
   DECLARE @V_NRDIASMOVESTCEG_OLD DOUBLE PRECISION;
   DECLARE @V_IDPERINATPRRELAC_OLD VARCHAR(1);
   DECLARE @V_IDTRATAVENC_NEW    VARCHAR(1);
   DECLARE @V_VRPETOLEENTR_NEW   DOUBLE PRECISION;
   DECLARE @V_IDLANCDTMEN_NEW    VARCHAR(1);
   DECLARE @V_NRDIASENTR_NEW     INT;
   DECLARE @V_NRDIASSAID_NEW     INT;
   DECLARE @V_NRDIASAJUS_NEW     INT;
   DECLARE @V_IDLANCDTMAI_NEW    VARCHAR(1);
   DECLARE @V_NRDIASENTRPD_NEW   INT;
   DECLARE @V_NRDIASSAIDPD_NEW   INT;
   DECLARE @V_NRDIASAJUSPD_NEW   INT;
   DECLARE @V_CDPARESTOQ_NEW     VARCHAR(1);
   DECLARE @V_CDGROPERRETI_NEW  VARCHAR(2);
   DECLARE @V_CDGROPERFMES_NEW  VARCHAR(2);
   DECLARE @V_CDGROPERSOLI_NEW  VARCHAR(2);
   DECLARE @V_CDGROPERREQ_NEW   VARCHAR(2);
   DECLARE @V_CDGROPERLOT_NEW   VARCHAR(2);
   DECLARE @V_IDBLOQFORIRR_NEW  VARCHAR(1);
   DECLARE @V_IDCONSFORNFJ_NEW  VARCHAR(1);
   DECLARE @V_IDALTDTFECDIA_NEW VARCHAR(1);
   DECLARE @V_IDGTGTXTFDIA_NEW  VARCHAR(1);
   DECLARE @V_NRDIASMOVESTCEG_NEW DOUBLE PRECISION;
   DECLARE @V_IDPERINATPRRELAC_NEW VARCHAR(1);
BEGIN

   SET @V_DESC     = '';
   SET @V_TIPO     = '0';

   EXEC NMUSUARIO @V_USUARIO;
   SET @V_USUARIO = ISNULL(@V_USUARIO, ' ');

   DECLARE C_CURSOR CURSOR FOR

      SELECT
         'U' IDCOMANDO,
      DELETED.IDTRATAVENC,
      DELETED.VRPETOLEENTR,
      DELETED.IDLANCDTMEN,
      DELETED.NRDIASENTR,
      DELETED.NRDIASSAID,
      DELETED.NRDIASAJUS,
      DELETED.IDLANCDTMAI,
      DELETED.NRDIASENTRPD,
      DELETED.NRDIASSAIDPD,
      DELETED.NRDIASAJUSPD,
      DELETED.CDPARESTOQ,
      DELETED.CDGROPERRETI,
      DELETED.CDGROPERFMES,
      DELETED.CDGROPERSOLI,
      DELETED.CDGROPERREQ,
      DELETED.IDBLOQFORIRR,
      DELETED.IDCONSFORNFJ,
      DELETED.IDALTDTFECDIA,
      DELETED.IDGTGTXTFDIA,
      DELETED.NRDIASMOVESTCEG,
      DELETED.CDGROPERLOT,
      DELETED.IDPERINATPRRELAC,
      INSERTED.IDTRATAVENC,
      INSERTED.VRPETOLEENTR,
      INSERTED.IDLANCDTMEN,
      INSERTED.NRDIASENTR,
      INSERTED.NRDIASSAID,
      INSERTED.NRDIASAJUS,
      INSERTED.IDLANCDTMAI,
      INSERTED.NRDIASENTRPD,
      INSERTED.NRDIASSAIDPD,
      INSERTED.NRDIASAJUSPD,
      INSERTED.CDPARESTOQ,
      INSERTED.CDGROPERRETI,
      INSERTED.CDGROPERFMES,
      INSERTED.CDGROPERSOLI,
      INSERTED.CDGROPERREQ,
      INSERTED.IDBLOQFORIRR,
      INSERTED.IDCONSFORNFJ,
      INSERTED.IDALTDTFECDIA,
      INSERTED.IDGTGTXTFDIA,
      INSERTED.NRDIASMOVESTCEG,
      INSERTED.CDGROPERLOT,
      INSERTED.IDPERINATPRRELAC
   FROM
      INSERTED,
      DELETED
   WHERE
      INSERTED.CDPARESTOQ   = DELETED.CDPARESTOQ

   UNION ALL

   SELECT
      'I' IDCOMANDO,
      NULL,
      NULL,
      NULL,
      NULL,
      NULL,
      NULL,
      NULL,
      NULL,
      NULL,
      NULL,
      NULL,
      NULL,
      NULL,
      NULL,
      NULL,
      NULL,
      NULL,
      NULL,
      NULL,
      NULL,
      NULL,
      NULL,

      INSERTED.IDTRATAVENC,
      INSERTED.VRPETOLEENTR,
      INSERTED.IDLANCDTMEN,
      INSERTED.NRDIASENTR,
      INSERTED.NRDIASSAID,
      INSERTED.NRDIASAJUS,
      INSERTED.IDLANCDTMAI,
      INSERTED.NRDIASENTRPD,
      INSERTED.NRDIASSAIDPD,
      INSERTED.NRDIASAJUSPD,
      INSERTED.CDPARESTOQ,
      INSERTED.CDGROPERRETI,
      INSERTED.CDGROPERFMES,
      INSERTED.CDGROPERSOLI,
      INSERTED.CDGROPERREQ,
      INSERTED.IDBLOQFORIRR,
      INSERTED.IDCONSFORNFJ,
      INSERTED.IDALTDTFECDIA,
      INSERTED.IDGTGTXTFDIA,
      INSERTED.NRDIASMOVESTCEG,
      INSERTED.CDGROPERLOT,
      INSERTED.IDPERINATPRRELAC

   FROM
      INSERTED
   WHERE
     CDPARESTOQ  NOT IN (SELECT  CDPARESTOQ  FROM DELETED);


   OPEN C_CURSOR;
   FETCH NEXT FROM C_CURSOR INTO @V_ID_COMANDO,
                                 @V_IDTRATAVENC_OLD,
                                 @V_VRPETOLEENTR_OLD,
                                 @V_IDLANCDTMEN_OLD,
                                 @V_NRDIASENTR_OLD,
                                 @V_NRDIASSAID_OLD,
                                 @V_NRDIASAJUS_OLD,
                                 @V_IDLANCDTMAI_OLD,
                                 @V_NRDIASENTRPD_OLD,
                                 @V_NRDIASSAIDPD_OLD,
                                 @V_NRDIASAJUSPD_OLD,
                                 @V_CDPARESTOQ_OLD,
                                 @V_CDGROPERRETI_OLD,
                                 @V_CDGROPERFMES_OLD,
                                 @V_CDGROPERSOLI_OLD,
                                 @V_CDGROPERREQ_OLD,
                                 @V_IDBLOQFORIRR_OLD,
                                 @V_IDCONSFORNFJ_OLD,
                                 @V_IDALTDTFECDIA_OLD,
                                 @V_IDGTGTXTFDIA_OLD,
                                 @V_NRDIASMOVESTCEG_OLD,
                                 @V_CDGROPERLOT_OLD,
                                 @V_IDPERINATPRRELAC_OLD,
                                 @V_IDTRATAVENC_NEW,
                                 @V_VRPETOLEENTR_NEW,
                                 @V_IDLANCDTMEN_NEW,
                                 @V_NRDIASENTR_NEW,
                                 @V_NRDIASSAID_NEW,
                                 @V_NRDIASAJUS_NEW,
                                 @V_IDLANCDTMAI_NEW,
                                 @V_NRDIASENTRPD_NEW,
                                 @V_NRDIASSAIDPD_NEW,
                                 @V_NRDIASAJUSPD_NEW,
                                 @V_CDPARESTOQ_NEW,
                                 @V_CDGROPERRETI_NEW,
                                 @V_CDGROPERFMES_NEW,
                                 @V_CDGROPERSOLI_NEW,
                                 @V_CDGROPERREQ_NEW,
                                 @V_IDBLOQFORIRR_NEW,
                                 @V_IDCONSFORNFJ_NEW,
                                 @V_IDALTDTFECDIA_NEW,
                                 @V_IDGTGTXTFDIA_NEW,
                                 @V_NRDIASMOVESTCEG_NEW,
                                 @V_CDGROPERLOT_NEW,
                                 @V_IDPERINATPRRELAC_NEW;

   WHILE (@@FETCH_STATUS = 0) BEGIN

      IF NOT @V_USUARIO IS NULL BEGIN
         IF @V_ID_COMANDO= 'D' /*DELETING*/ BEGIN
            SET @V_TIPO = '3';
            IF @V_IDTRATAVENC_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'TratVenc=' + @V_IDTRATAVENC_OLD;
            END;
            IF @V_VRPETOLEENTR_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + ' ToleEnt=' + @V_VRPETOLEENTR_OLD;
            END;
            IF @V_IDLANCDTMEN_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + ' LDtMen=' + @V_IDLANCDTMEN_OLD;
            END;
            IF @V_NRDIASENTR_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + ' DiaEntr=' +CONVERT(VARCHAR,@V_NRDIASENTR_OLD);
            END;
            IF @V_NRDIASSAID_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + ' DiaSaid=' + CONVERT(VARCHAR,@V_NRDIASSAID_OLD);
            END;
            IF @V_NRDIASAJUS_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + ' DiaAjus=' + CONVERT(VARCHAR,@V_NRDIASAJUS_OLD);
            END;
            IF @V_IDLANCDTMAI_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + ' LanDtMai=' + @V_IDLANCDTMAI_OLD;
            END;
            IF @V_NRDIASENTRPD_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + ' DEntrPos=' + CONVERT(VARCHAR,@V_NRDIASENTRPD_OLD);
            END;
            IF @V_NRDIASSAIDPD_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + ' DSaidPos=' + CONVERT(VARCHAR,@V_NRDIASSAIDPD_OLD);
            END;
            IF @V_NRDIASAJUSPD_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + ' DAjusPos=' + CONVERT(VARCHAR,@V_NRDIASAJUSPD_OLD);
            END;
            IF @V_CDGROPERRETI_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + ' AutAltRet=' + @V_CDGROPERRETI_OLD;
            END;
            IF @V_CDGROPERFMES_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + ' AutLMF=' + @V_CDGROPERFMES_OLD;
            END;
            IF @V_CDGROPERSOLI_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + ' AutBPSC=' + @V_CDGROPERSOLI_OLD;
            END;
            IF @V_CDGROPERREQ_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + ' AutAltRE=' + @V_CDGROPERREQ_OLD;
            END;
            IF @V_IDBLOQFORIRR_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + ' IdBloqForIrr=' + @V_IDBLOQFORIRR_OLD;
            END;
            IF @V_IDCONSFORNFJ_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + ' PerCCFL=' + @V_IDCONSFORNFJ_OLD;
            END;
            IF @V_IDALTDTFECDIA_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + ' AltProxDP=' + @V_IDALTDTFECDIA_OLD;
            END;
            IF @V_IDGTGTXTFDIA_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + ' GeraTGFD=' + @V_IDGTGTXTFDIA_OLD;
            END;
            IF @V_NRDIASMOVESTCEG_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + ' NrDiasMovEstCego=' + CONVERT(VARCHAR,@V_NRDIASMOVESTCEG_OLD);
            END;  
            IF @V_CDGROPERLOT_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + ' AutAltLot=' + @V_CDGROPERLOT_OLD;
            END;
            IF @V_IDPERINATPRRELAC_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + ' PermInatProdComp=' + @V_IDPERINATPRRELAC_OLD;
            END;
            SET @V_ITPESQ = @V_CDPARESTOQ_OLD;
        END
        ELSE

        IF @V_ID_COMANDO= 'U' /*UPDATING*/ BEGIN

           IF (@V_IDTRATAVENC_OLD  <> @V_IDTRATAVENC_NEW)    OR
              (@V_VRPETOLEENTR_OLD <> @V_VRPETOLEENTR_NEW)   OR
              (@V_IDLANCDTMEN_OLD  <> @V_IDLANCDTMEN_NEW)    OR
              (@V_NRDIASENTR_OLD   <> @V_NRDIASENTR_NEW)     OR
              (@V_NRDIASSAID_OLD   <> @V_NRDIASSAID_NEW)     OR
              (@V_NRDIASAJUS_OLD   <> @V_NRDIASAJUS_NEW)     OR
              (@V_IDLANCDTMAI_OLD  <> @V_IDLANCDTMAI_NEW)    OR
              (@V_NRDIASENTRPD_OLD <> @V_NRDIASENTRPD_NEW)   OR
              (@V_NRDIASSAIDPD_OLD <> @V_NRDIASSAIDPD_NEW)   OR
              (@V_NRDIASAJUSPD_OLD <> @V_NRDIASAJUSPD_NEW)   OR
              (ISNULL(@V_CDGROPERRETI_OLD, 'NULO') <> ISNULL(@V_CDGROPERRETI_NEW, 'NULO')) OR
              (ISNULL(@V_CDGROPERFMES_OLD, 'NULO') <> ISNULL(@V_CDGROPERFMES_NEW, 'NULO')) OR
              (ISNULL(@V_CDGROPERSOLI_OLD, 'NULO') <> ISNULL(@V_CDGROPERSOLI_NEW, 'NULO')) OR
              (ISNULL(@V_CDGROPERREQ_OLD, 'NULO')  <> ISNULL(@V_CDGROPERREQ_NEW, 'NULO'))  OR
              (ISNULL(@V_CDGROPERLOT_OLD, 'NULO')  <> ISNULL(@V_CDGROPERLOT_NEW, 'NULO'))  OR 
              (@V_IDBLOQFORIRR_OLD  <> @V_IDBLOQFORIRR_NEW)  OR
              (@V_IDCONSFORNFJ_OLD  <> @V_IDCONSFORNFJ_NEW)  OR
              (@V_IDALTDTFECDIA_OLD <> @V_IDALTDTFECDIA_NEW) OR
              (@V_IDGTGTXTFDIA_OLD  <> @V_IDGTGTXTFDIA_NEW)  OR
              (@V_IDPERINATPRRELAC_OLD  <> @V_IDPERINATPRRELAC_NEW)  OR
              (ISNULL(@V_NRDIASMOVESTCEG_OLD, 0)  <> ISNULL(@V_NRDIASMOVESTCEG_NEW, 0)) BEGIN

              SET  @V_TIPO   = '2';
              SET  @V_ITPESQ = @V_CDPARESTOQ_OLD;

           END;
        END
        ELSE
           SET @V_TIPO   = '1';
              SET  @V_ITPESQ = @V_CDPARESTOQ_NEW;
        END;

      IF ISNULL(@V_IDTRATAVENC_OLD, '') <> ISNULL(@V_IDTRATAVENC_NEW, '') BEGIN
         SET @V_DESC = @V_DESC + 'TraVenc=' + @V_IDTRATAVENC_NEW;
      END;
      IF ISNULL(@V_VRPETOLEENTR_OLD, 0) <> ISNULL(@V_VRPETOLEENTR_NEW, 0) BEGIN
         SET @V_DESC = @V_DESC + ' TolEnt=' + CONVERT(VARCHAR,@V_VRPETOLEENTR_NEW);
      END;
      IF ISNULL(@V_IDLANCDTMEN_OLD, '') <> ISNULL(@V_IDLANCDTMEN_NEW, '') BEGIN
         SET @V_DESC = @V_DESC + ' LDtMen=' + @V_IDLANCDTMEN_NEW;
      END;
      IF ISNULL(@V_NRDIASENTR_OLD, 0) <> ISNULL(@V_NRDIASENTR_NEW, 0) BEGIN
         SET @V_DESC = @V_DESC + ' DiaEnt=' + CONVERT(VARCHAR,@V_NRDIASENTR_NEW);
      END;
      IF ISNULL(@V_NRDIASSAID_OLD, 0) <> ISNULL(@V_NRDIASSAID_NEW, 0) BEGIN
         SET @V_DESC = @V_DESC + ' DiaSai=' + CONVERT(VARCHAR,@V_NRDIASSAID_NEW);
      END;
      IF ISNULL(@V_NRDIASAJUS_OLD, 0) <> ISNULL(@V_NRDIASAJUS_NEW, 0) BEGIN
         SET @V_DESC = @V_DESC + ' DiaAju=' + CONVERT(VARCHAR,@V_NRDIASAJUS_NEW);
      END;
      IF ISNULL(@V_IDLANCDTMAI_OLD, 0) <> ISNULL(@V_IDLANCDTMAI_NEW, 0) BEGIN
         SET @V_DESC = @V_DESC + ' LDtMai=' + @V_IDLANCDTMAI_NEW;
      END;
      IF ISNULL(@V_NRDIASENTRPD_OLD, 0) <> ISNULL(@V_NRDIASENTRPD_NEW, 0) BEGIN
         SET @V_DESC = @V_DESC + ' EntPos=' + CONVERT(VARCHAR,@V_NRDIASENTRPD_NEW);
      END;
      IF ISNULL(@V_NRDIASSAIDPD_OLD, 0) <> ISNULL(@V_NRDIASSAIDPD_NEW, 0) BEGIN
         SET @V_DESC = @V_DESC + ' SaiPos=' + CONVERT(VARCHAR,@V_NRDIASSAIDPD_NEW);
      END;
      IF ISNULL(@V_NRDIASAJUSPD_OLD, 0) <> ISNULL(@V_NRDIASAJUSPD_NEW, 0) BEGIN
         SET @V_DESC = @V_DESC + ' AjuPos=' +  CONVERT(VARCHAR,@V_NRDIASAJUSPD_NEW);
      END;
      IF ISNULL(@V_CDGROPERRETI_OLD, 'NULO') <> ISNULL(@V_CDGROPERRETI_NEW, 'NULO') BEGIN
         SET @V_DESC = @V_DESC + ' AutAltRet=' + ISNULL(@V_CDGROPERRETI_NEW, 'NULO');
      END;
      IF ISNULL(@V_CDGROPERFMES_OLD, 'NULO') <> ISNULL(@V_CDGROPERFMES_NEW, 'NULO') BEGIN
         SET @V_DESC = @V_DESC + ' AutLMF=' + ISNULL(@V_CDGROPERFMES_NEW, 'NULO');
      END;
      IF ISNULL(@V_CDGROPERSOLI_OLD, 'NULO') <> ISNULL(@V_CDGROPERSOLI_NEW, 'NULO') BEGIN
         SET @V_DESC = @V_DESC + ' AutBPSC=' + ISNULL(@V_CDGROPERSOLI_NEW, 'NULO');
      END;
      IF ISNULL(@V_CDGROPERREQ_OLD, 'NULO') <> ISNULL(@V_CDGROPERREQ_NEW, 'NULO') BEGIN
         SET @V_DESC = @V_DESC + ' AutAltRE=' + ISNULL(@V_CDGROPERREQ_NEW, 'NULO');
      END;
      IF ISNULL(@V_IDBLOQFORIRR_OLD, '') <> ISNULL(@V_IDBLOQFORIRR_NEW, '') BEGIN
         SET @V_DESC = @V_DESC + ' IdBloqForIrr=' + @V_IDBLOQFORIRR_NEW;
      END;
      IF ISNULL(@V_IDCONSFORNFJ_OLD, '') <> ISNULL(@V_IDCONSFORNFJ_NEW, '') BEGIN
         SET @V_DESC = @V_DESC + ' PerCCFL=' + @V_IDCONSFORNFJ_NEW;
      END;
      IF ISNULL(@V_IDALTDTFECDIA_OLD, '') <> ISNULL(@V_IDALTDTFECDIA_NEW, '') BEGIN
         SET @V_DESC = @V_DESC + ' AltProxDP=' + @V_IDALTDTFECDIA_NEW;
      END;
      IF ISNULL(@V_IDGTGTXTFDIA_OLD, '') <> ISNULL(@V_IDGTGTXTFDIA_NEW, '') BEGIN
         SET @V_DESC = @V_DESC + ' GeraTGFD=' + @V_IDGTGTXTFDIA_NEW;
      END;
      IF ISNULL(@V_NRDIASMOVESTCEG_OLD, 0) <> ISNULL(@V_NRDIASMOVESTCEG_NEW, 0) BEGIN
         SET @V_DESC = @V_DESC + ' NrDiasMovEstCego=' + CONVERT(VARCHAR,@V_NRDIASMOVESTCEG_NEW);
      END;
      IF ISNULL(@V_CDGROPERLOT_OLD, 'NULO') <> ISNULL(@V_CDGROPERLOT_NEW, 'NULO') BEGIN
         SET @V_DESC = @V_DESC + ' AutAltLot=' + ISNULL(@V_CDGROPERLOT_NEW, 'NULO');
      END;
      IF ISNULL(@V_IDPERINATPRRELAC_OLD, 'NULO') <> ISNULL(@V_IDPERINATPRRELAC_NEW, 'NULO') BEGIN
         SET @V_DESC = @V_DESC + ' PermInatProdComp=' + ISNULL(@V_IDPERINATPRRELAC_NEW, 'NULO');
      END;
               
      IF (@V_TIPO <> '0')  BEGIN
         IF NOT @V_DESC IS NULL BEGIN
            EXEC NMUSUARIO @V_USUARIO;
            SET  @V_DTOPER = GETDATE();
            INSERT INTO LOGOPERA
                     (  NMTABELA,       DTOPERACAO,NMRESPOPER,
                        IDTIPOOPER, CDPESQITEM,DSOPERACAO)
               VALUES
                     ('PARAMESTOQUE', @V_DTOPER, @V_USUARIO,
                        @V_TIPO,    @V_ITPESQ, @V_DESC);
         END;
      END;
      FETCH NEXT FROM C_CURSOR INTO @V_ID_COMANDO,
         @V_IDTRATAVENC_OLD,
         @V_VRPETOLEENTR_OLD,
         @V_IDLANCDTMEN_OLD,
         @V_NRDIASENTR_OLD,
         @V_NRDIASSAID_OLD,
         @V_NRDIASAJUS_OLD,
         @V_IDLANCDTMAI_OLD,
         @V_NRDIASENTRPD_OLD,
         @V_NRDIASSAIDPD_OLD,
         @V_NRDIASAJUSPD_OLD,
         @V_CDPARESTOQ_OLD,
         @V_CDGROPERRETI_OLD,
         @V_CDGROPERFMES_OLD,
         @V_CDGROPERSOLI_OLD,
         @V_CDGROPERREQ_OLD,
         @V_IDBLOQFORIRR_OLD,
         @V_IDCONSFORNFJ_OLD,
         @V_IDALTDTFECDIA_OLD,
         @V_IDGTGTXTFDIA_OLD,
         @V_NRDIASMOVESTCEG_OLD,
         @V_CDGROPERLOT_OLD,
         @V_IDPERINATPRRELAC_OLD,
         @V_IDTRATAVENC_NEW,
         @V_VRPETOLEENTR_NEW,
         @V_IDLANCDTMEN_NEW,
         @V_NRDIASENTR_NEW,
         @V_NRDIASSAID_NEW,
         @V_NRDIASAJUS_NEW,
         @V_IDLANCDTMAI_NEW,
         @V_NRDIASENTRPD_NEW,
         @V_NRDIASSAIDPD_NEW,
         @V_NRDIASAJUSPD_NEW,
         @V_CDPARESTOQ_NEW,
         @V_CDGROPERRETI_NEW,
         @V_CDGROPERFMES_NEW,
         @V_CDGROPERSOLI_NEW,
         @V_CDGROPERREQ_NEW,
         @V_IDBLOQFORIRR_NEW,
         @V_IDCONSFORNFJ_NEW,
         @V_IDALTDTFECDIA_NEW,
         @V_IDGTGTXTFDIA_NEW,
         @V_NRDIASMOVESTCEG_NEW,
         @V_CDGROPERLOT_NEW,
         @V_IDPERINATPRRELAC_NEW;
   END;

   CLOSE      C_CURSOR;
   DEALLOCATE C_CURSOR;
END;
GO

-- VERSAO --
EXEC ATUVEROBJ 'LOG_EST_PARAMESTOQUE','6.19.xxx';
GO
